package de.szut.casino.blackjack;

import de.szut.casino.blackjack.dto.CreateBlackJackGameDto;
import de.szut.casino.user.UserService;
import de.szut.casino.user.dto.CreateUserDto;
import jakarta.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
public class BlackJackGameController {

    @Autowired
    private UserService userService;

    @PostMapping("/blackjack/start")
    public ResponseEntity<?> createBlackJackGame(@RequestBody @Valid CreateBlackJackGameDto gameData, @RequestHeader("Authorization") String token) {
        if (gameData.getBetAmount() <= 0 || gameData.getBetAmount() > userService.getCurrentUser(token).getBalance().intValue()) {
            return ResponseEntity.badRequest().body("Invalid bet amount");
        }

        BlackJackGameEntity game = new BlackJackGameEntity();
        game.setBet(gameData.getBetAmount());
        System.out.println("Balls: ");
        System.out.println(game.getBet());
        return null;
    }
}
