import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PlayingCardComponent } from '../playing-card/playing-card.component';
import { Card } from '../../models/card.model';

@Component({
  selector: 'app-player-hand',
  standalone: true,
  imports: [CommonModule, PlayingCardComponent],
  template: `
    <div class="space-y-4">
      <h3 class="section-heading text-2xl mb-4">Deine Karten</h3>
      <div class="card p-6 !bg-emerald">
        <div
          class="flex justify-center gap-4 min-h-[160px] p-4 border-2 border-emerald-400 rounded-lg"
        >
          <app-playing-card
            *ngFor="let card of cards"
            [value]="card.value"
            [suit]="card.suit"
            [hidden]="card.hidden"
          ></app-playing-card>
        </div>
      </div>
    </div>
  `,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PlayerHandComponent {
  @Input() cards: Card[] = [];
}
